### Virtual Method

# RB RhythmDBEntryType uri_to_cache_key

#### Declaration [src]

    char*
    uri_to_cache_key (
      RhythmDBEntryType* etype,
      const char* uri
    )

#### Description

No description available.

#### Parameters

`uri`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.